# Read reading sources status (by id)

`GET /reading/sources/{id}/status` · Rivier · agents

- Scope: agents:read
- Mcp: rivier_personas_source_status
- Graphql: Query.agentsReadingSourcesStatusGet
- Sdk: agents.readingSourcesStatus.get
- Cli: agents reading sources status get

## Parameters

- `id` (path, required), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/reading/sources/{id}/status' \
  -H 'Authorization: Bearer $KEY'
```
